summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2024-02-17 09:33:06 -0500
committerTavian Barnes <tavianator@tavianator.com>2024-02-17 09:33:06 -0500
commitef28da1f876cb901f966dc01dd24ac861b3622ec (patch)
treefc47fa59fd03dc836a69c3e17dd7eb2209d54558
parentc749c11b04444ca40941dd2ddc5802faed148f6a (diff)
downloadbfs-ef28da1f876cb901f966dc01dd24ac861b3622ec.tar.xz
tests: Redirect stdin in bfs_pty()
Otherwise bfs will think it's interactive.
-rw-r--r--tests/run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/run.sh b/tests/run.sh
index ccd2ac1..720515d 100644
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -386,7 +386,7 @@ bfs_pty() {
bfs_verbose "$@"
local ret=0
- "$UNBUFFER" bash -c 'stty cols 80 rows 24 && "$@"' bash "${BFS[@]}" "$@" || ret=$?
+ "$UNBUFFER" bash -c 'stty cols 80 rows 24 && "$@" </dev/null' bash "${BFS[@]}" "$@" || ret=$?
if ((ret > 125)); then
exit $ret